Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class ParameterFactory

    java.lang.Object
      org.linuxsampler.lscp.ParameterFactory

    public class ParameterFactory

extends java.lang.Object

This class represents a factory for creating `Parameter` instances.

Method Summary
`static Parameter<java.lang.Boolean>` | `createParameter(java.lang.String name, java.lang.Boolean value)` Creates a `Parameter<Boolean>` instance with the specified name and value.
`static Parameter<java.lang.Boolean[]>` | `createParameter(java.lang.String name, java.lang.Boolean[] value)` Creates a `Parameter<Boolean[]>` instance with the specified name and value.
`static Parameter<java.lang.Float>` | `createParameter(java.lang.String name, java.lang.Float value)` Creates a `Parameter<Float>` instance with the specified name and value.
`static Parameter<java.lang.Float[]>` | `createParameter(java.lang.String name, java.lang.Float[] value)` Creates a `Parameter<Float[]>` instance with the specified name and value.
`static Parameter<java.lang.Integer>` | `createParameter(java.lang.String name, java.lang.Integer value)` Creates a `Parameter<Integer>` instance with the specified name and value.
`static Parameter<java.lang.Integer[]>` | `createParameter(java.lang.String name, java.lang.Integer[] value)` Creates a `Parameter<Integer[]>` instance with the specified name and value.
`static Parameter<java.lang.String>` | `createParameter(java.lang.String name, java.lang.String value)` Creates a `Parameter<String>` instance with the specified name and value.
`static Parameter<java.lang.String[]>` | `createParameter(java.lang.String name, java.lang.String[] value)` Creates a `Parameter<String[]>` instance with the specified name and value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createParameter

    public static Parameter<java.lang.Boolean> createParameter(java.lang.String name,
                                                               java.lang.Boolean value)

  Creates a `Parameter<Boolean>` instance with the specified name and value.

  Parameters:
    `name` - The parameter name.
    `value` - The parameter value.
  Returns:
    The newly created `Parameter<Boolean>` instance with the specified name and value.

### createParameter

    public static Parameter<java.lang.Boolean[]> createParameter(java.lang.String name,
                                                                 java.lang.Boolean[] value)

  Creates a `Parameter<Boolean[]>` instance with the specified name and value.

  Parameters:
    `name` - The parameter name.
    `value` - The parameter value.
  Returns:
    The newly created `Parameter<Boolean[]>` instance with the specified name and value.

### createParameter

    public static Parameter<java.lang.Float> createParameter(java.lang.String name,
                                                             java.lang.Float value)

  Creates a `Parameter<Float>` instance with the specified name and value.

  Parameters:
    `name` - The parameter name.
    `value` - The parameter value.
  Returns:
    The newly created `Parameter<Float>` instance with the specified name and value.

### createParameter

    public static Parameter<java.lang.Float[]> createParameter(java.lang.String name,
                                                               java.lang.Float[] value)

  Creates a `Parameter<Float[]>` instance with the specified name and value.

  Parameters:
    `name` - The parameter name.
    `value` - The parameter value.
  Returns:
    The newly created `Parameter<Float[]>` instance with the specified name and value.

### createParameter

    public static Parameter<java.lang.Integer> createParameter(java.lang.String name,
                                                               java.lang.Integer value)

  Creates a `Parameter<Integer>` instance with the specified name and value.

  Parameters:
    `name` - The parameter name.
    `value` - The parameter value.
  Returns:
    The newly created `Parameter<Integer>` instance with the specified name and value.

### createParameter

    public static Parameter<java.lang.Integer[]> createParameter(java.lang.String name,
                                                                 java.lang.Integer[] value)

  Creates a `Parameter<Integer[]>` instance with the specified name and value.

  Parameters:
    `name` - The parameter name.
    `value` - The parameter value.
  Returns:
    The newly created `Parameter<Integer[]>` instance with the specified name and value.

### createParameter

    public static Parameter<java.lang.String> createParameter(java.lang.String name,
                                                              java.lang.String value)

  Creates a `Parameter<String>` instance with the specified name and value.

  Parameters:
    `name` - The parameter name.
    `value` - The parameter value.
  Returns:
    The newly created `Parameter<String>` instance with the specified name and value.

### createParameter

    public static Parameter<java.lang.String[]> createParameter(java.lang.String name,
                                                                java.lang.String[] value)

  Creates a `Parameter<String[]>` instance with the specified name and value.

  Parameters:
    `name` - The parameter name.
    `value` - The parameter value.
  Returns:
    The newly created `Parameter<String[]>` instance with the specified name and value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.